[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Grids' (#lcl)

# TCustomGrid.DrawColumnText

Draws the text and image for a grid column title at the specified cell coordinates.

## Declaration

Source position: grids.pas line 1065

`protected procedure TCustomGrid.DrawColumnText(`
`aCol: Integer;`
`aRow: Integer;`
`aRect: TRect;`
`aState: TGridDrawState`
`); virtual;`

## Arguments

`aCol` |  | Column number for the column title.
`aRow` |  | Row number for the column title.
`aRect` |  | Rectangle with the bounds for the column title.
`aState` |  | Drawing state for the text in the cell.

## Description

DrawColumnText is a method used to draw the text and image for a grid column title at the cell coordinates specified in ACol and ARow. DrawColumnText calls DrawColumnTitleImage to draw the sort indicator for the column. DrawCellText is called to render the text for the cell using the specified drawing state.

DrawColumnText is called from the DefaultDrawCell method in descendent classes for cells which are fixed column titles.